xclade
Admin APITax regions

Update a Tax Region

Update a tax region's details.

POST
/admin/tax-regions/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string

The tax region's ID.

Query Parameters

fields?string

Comma-separated fields that should be included in the returned data. if a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. without prefix it will replace the entire default fields.

Request Body

application/json

province_code?string

The tax region's ISO 3166-2 province code. Must be lower-case.

metadata?object

The tax region's metadata, can hold custom key-value pairs.

provider_id?string

The ID of the tax provider to use when calculating taxes for this tax region.

Response Body

application/json

application/json

text/plain

application/json

application/json

application/json

application/json

curl -X POST "https://{tenant}.api.myxclade.com/admin/tax-regions/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "tax_region": {
    "id": "string",
    "country_code": "us",
    "province_code": "us-ca",
    "metadata": {},
    "parent_id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "deleted_at": "2019-08-24T14:15:22Z",
    "created_by": "string",
    "tax_rates": [
      {}
    ],
    "parent": {},
    "children": [
      {}
    ]
  }
}

{
  "message": "Discount must be set to dynamic",
  "type": "not_allowed"
}

"Unauthorized"
{
  "message": "Entity with id 1 was not found",
  "type": "not_found"
}
{
  "code": "unknown_error",
  "message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
  "type": "QueryRunnerAlreadyReleasedError"
}
{
  "code": "invalid_request_error",
  "message": "Discount with code TEST already exists.",
  "type": "duplicate_error"
}

{
  "code": "api_error",
  "message": "An error occured while hashing password",
  "type": "database_error"
}